/*Copyright (C) 2005  Francois DEVIC
            http://www.devic.net
            
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Steet, Fifth Floor,
Boston, MA 02110-1301, USA
*/

/** @file chemin.cpp
  * @brief fichier du corps de la classe CChemin
  * @author F.DEVIC
  * @date 19 aout 2005
  **/
  
#include "chemin.h"

#include <fstream>
using namespace std;
/** @fn void CChemin::display() 
  * @brief affiche le chemin
*/
void CChemin::display()
{
// cout<<endl<<" Extension : "<<m_Sextension<<endl;
// cout<<" Chemin : "<<m_Spath<<endl;
// cout<<" Obligatoire : "<<(m_Bmandatory?" oui ":" non")<<endl;
}
/////////////////////////////////////////////////////////////////////////////////////////






/////////////////////////////////////////////////////////////////////////////////////////
/**
 * @fn void CChemin::write(QTextStream &outparam)
 * @brief pour ecrire un cheminde shader dans le fichier init.txt
 * cette mthode construit aussi le chemin qu'il faut
 * @param outparam  fichier d'init ouvert au bon endroit
 * @warning il faut que le fichier soit ouvert et au bon endroit
*/

void CChemin::write(QTextStream &outparam)
{
     char temp[512];
    // if(outparam.good())
     {
         //cout<<" Nom de l'extension (sans le \'.\' par exemple fti pour les extension fti): "<<endl;               
         //cin.getline(temp,512);
         outparam<<m_Sextension<<"*";

//         cout<<" Chemin ou doit etre installer cette extension (c:\\Program files\\Alias\\Maya6.0\\icons pour le fti par exe) : "<<endl;
  //       cin.getline(temp,512);
         outparam<<m_Spath<<"*";
         
//         cout<<" Est-ce obligatoire (o/n par defaut : n) : "<<endl;
  //       cin.getline(temp,512);
         outparam<<(m_Bmandatory?"o":"n")<<endl;
         
     }
}
/////////////////////////////////////////////////////////////////////////////////////////






/////////////////////////////////////////////////////////////////////////////////////////
/**
  * @fn void CChemin::readChemin(QTextStream &inparam)
  * @brief pour lire un chemin le format : extension * le chemin * obligatoire
  * @param inparam le fichier au bon endroit
*/
void CChemin::readChemin(QTextStream &inparam)
{
     QString tmp;
     QString sub_tmp;
     QString tmp2;
     int pos;
   //  ofstream chemin("chemin.txt",ios::out|ios::app);
     //recuperation de la ligne
     tmp = inparam.readLine();
     
     //on va voir ou se trouve le permier parametre
     pos = tmp.indexOf("*");
     m_Sextension=tmp;
     m_Sextension.truncate(pos);
     //chemin<<tmp.toStdString()<<" "<<pos<<endl;

     //on va recuperer le chemin
     //on elimine la premire partie
     tmp = tmp.right(tmp.size()-pos-1);
     //chemin<<tmp.toStdString()<<" "<<pos<<endl;
     pos = tmp.indexOf("*");
     //chemin<<tmp.toStdString()<<" "<<pos<<endl;
     m_Spath=tmp;
     m_Spath.truncate(pos);
     //on va recuperer le fait que ce soit opbligatoire ou non
     tmp = tmp.right(tmp.size()-pos-1);
     //chemin<<tmp.toStdString()<<" "<<pos<<endl;
     m_Bmandatory=(tmp.indexOf("o")>=0);

}

