/*Copyright (C) 2005  Francois DEVIC
            http://www.devic.net
            
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Steet, Fifth Floor,
Boston, MA 02110-1301, USA

*/

/** @file chemin.h
  * @brief fichier d'entete de la classe CChemin
  * @author F.DEVIC
  * @date 18 aout 2005
  **/
  
#ifndef _CHEMIN_H_
#define _CHEMIN_H_

#include <QString>
#include <QVector>
#include <QTextStream>

class CChemin;

typedef QVector < CChemin > vectChemin;

class CChemin
{
     
  /** l'extension associee */
  QString m_Sextension;
  /** le chemin */
  QString m_Spath;
  /** obligatoire */
  bool m_Bmandatory;
public:
       
  CChemin(){}; 
  
  void display();
  
  void write(QTextStream &outparam);
  
  void readChemin(QTextStream &inparam);
  
  QString getExtension() {return m_Sextension;}
  QString getPath()      {return m_Spath;}
  bool   isMandatory()  {return m_Bmandatory;}
  
  void setExtension(const QString & ext) {m_Sextension = ext;}
  void setPath(const QString &path){m_Spath = path;}
  void setMandatory(bool mandatory){m_Bmandatory = mandatory;}
    
};

#endif
