/*Copyright (C) 2005  Francois DEVIC
            http://www.devic.net
            
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Steet, Fifth Floor,
Boston, MA 02110-1301, USA

*/

/** @file param.h
  * @brief fichier d'entete de la classe CParam
  * @author F.DEVIC
  * @date 18 aout 2005
  **/
  
#ifndef _PARAM_H_
#define _PARAM_H_

#include <cstdlib>
#include <QString>

#include "shader.h"

using namespace std;


/**
 * @class CParam
 * @brief classe permettant de grer tous les paramtres de l'application  
*/
class CParam
{
      /** le chemin o se trouve Maya */
    static QString     m_Smaya_path;
     /** le chemin o se trouve Mental Ray */
    static QString     m_Smr_path;
    /** un tableau de shaders */
    static vectShader m_Vvect_Shader;
public:
       
       static void writeMayaPath(const QString & maya_Path);
       
       static void writeMentalRayPath(const QString & mr_Path);
       
       static bool init();
       
       static void displayParam();
       
       static bool saveMaya_rayrc();
       
       static bool addShader();
       
       static void copyShader();
       
       static bool copyShader(const QString & shaderPath, const QString &link,const QString &mi, int num_shader=0);
       
       static QString getMayaPath() {return m_Smaya_path;}
       
       static QString getMRPath() {return m_Smr_path;}
       
       static vectShader& getShaders() {return m_Vvect_Shader;}
       
       static void setChemin(int num_shader,int num_chemin,const QString & ext,const QString & path, bool mandatory=false);
       
       static void saveParam();
};

#endif
