/*Copyright (C) 2005  Francois DEVIC
            http://www.devic.net
            
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Steet, Fifth Floor,
Boston, MA 02110-1301, USA

*/

/** @file shader.h
  * @brief fichier d'entete de la classe CParam
  * @author F.DEVIC
  * @date 18 aout 2005
  **/
  
#ifndef _SHADER_H_
#define _SHADER_H_

#include <QString>
#include <QVector>
#include <fstream>
#include <QTextStream>
#include "chemin.h"
using namespace std;

class CShader;

/**
dfinition du tableau de Shader
*/
typedef QVector<CShader> vectShader; 

class CShader
{
 /** les chemins ncessaires au shader */
 vectChemin m_Vchemin;
 /** nom du type de shader */
 QString m_Sname;
 
 bool fillMayaRayrc(const QString & mr_path,const QString &link,const QString &mi);
 
 QString getFileNameByExtension(const QString & extension,const QString & path,QString & resultat,QString & fichier);
public:
 CShader(){};
 
 
  const QString getName() const {return m_Sname;}
  const QString getName() {return m_Sname;}
 
  void setName(const QString & name){m_Sname=name;}
 bool writeShader();
 
 void display();
 
 void readShader(QTextStream & inparam, const QString &name);
 
 bool copyShader(const QString & shader_path,const QString & renderer_path,const QString &link,const QString &mi);
 
 void setChemin(int num_chemin,const QString & ext,const QString & path, bool mandatory=false);
 
 CChemin getChemin(int num){return m_Vchemin[num];}
 
 void saveShader(QTextStream & out);
      
};
      
#endif
