/****************************************************************************
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/
/*Copyright (C) 2005  Francois DEVIC
            http://www.devic.net
            
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Steet, Fifth Floor,
Boston, MA 02110-1301, USA

*/
#ifndef TABDIALOG_H
#define TABDIALOG_H

#include <QDialog>
#include <QFileInfo>
#include <QString>
#include <QTabWidget>
#include <QLineEdit>
#include <QComboBox>

class ShaderTab : public QWidget
{
    Q_OBJECT

private:
    QComboBox *m_CshaderCombo;
    QLineEdit *m_LEshader_Edit;
    QLineEdit *m_LElink_Edit;
    QLineEdit *m_LEmi_Edit;

protected slots:
    QString FindShaderPath();
    void installShader();
signals:
    void installation(const QString &);
public:
    ShaderTab( QWidget *parent = 0);
};
////////////////////////////////////////////////////////////////////////////////




////////////////////////////////////////////////////////////////////////////////
class ConfigTab : public QWidget
{
    Q_OBJECT
    
private:
    QLineEdit *m_LEmaya_Edit;
    QLineEdit *m_LEmr_Edit;
    /** pour les extensions*/
    QLineEdit *m_LEext_Edit[5];
    QLineEdit *m_LEextPath_Edit[5];
    QComboBox *m_Cext_Mandatory[5];

protected slots:
    QString mayaPath();
    QString mrPath();
    QString shaderPath0();
    QString shaderPath1();
    QString shaderPath2();
    QString shaderPath3();
    QString shaderPath4();
    
    QString shaderPath0(const QString &shaderPath);
    QString shaderPath1(const QString &shaderPath);
    QString shaderPath2(const QString &shaderPath);
    QString shaderPath3(const QString &shaderPath);
    QString shaderPath4(const QString &shaderPath);
    
    bool shaderMandatory0(const QString &choice);
    bool shaderMandatory1(const QString &choice);
    bool shaderMandatory2(const QString &choice);
    bool shaderMandatory3(const QString &choice);
    bool shaderMandatory4(const QString &choice);
    
    bool saveShader();

public:
    ConfigTab( QWidget *parent = 0);
};
////////////////////////////////////////////////////////////////////////////////




////////////////////////////////////////////////////////////////////////////////
class CreditTab : public QWidget
{
    Q_OBJECT

public:
    CreditTab( QWidget *parent = 0);
};
////////////////////////////////////////////////////////////////////////////////




////////////////////////////////////////////////////////////////////////////////

class TabDialog : public QDialog
{
    Q_OBJECT

public:
    TabDialog( QWidget *parent = 0);

private:
    QTabWidget *tabWidget;
};

#endif
